2020-01-28 14:15 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002134Spring engineGeneralpublic2010-09-29 12:48
ReporterSirMaverick 
Assigned Tohoijui 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version0.82.5.1 
Summary0002134: patch: added PlayerAdded call-in
Descriptionhttp://github.com/1231e7b84a5de93a/spring/commit/35532220b27a4655d452a3415f27f3979a860be3
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0005574

SirMaverick (reporter)

playerHandler->AddPlayer() is also used in Game/PreGame.cpp, but I don't think it's needed there. Lua is initialized later so clients will see all (current) players in Spring.GetPlayerList().

~0005586

jK (developer)

the PlayerChanged callin gets already called for new ingame joiners, so is there really a reason for this callin?

~0005595

SirMaverick (reporter)

http://github.com/spring/spring/blob/97dc0b2ff92de76b4cdd710715cd669ba525dcb6/rts/Game/GameServer.cpp#L2154
JoinTeam is only sent for non spectators.

A separate call-in would help to write clean code instead of catching every case in one call-in (PlayerChanged).

~0005676

hoijui (reporter)

merged into master. thank you for the patch! :-)
+Notes

-Issue History
Date Modified Username Field Change
2010-09-19 00:07 SirMaverick New Issue
2010-09-19 00:19 SirMaverick Note Added: 0005574
2010-09-20 16:31 jK Note Added: 0005586
2010-09-20 21:09 SirMaverick Note Added: 0005595
2010-09-29 12:48 hoijui Note Added: 0005676
2010-09-29 12:48 hoijui Status new => resolved
2010-09-29 12:48 hoijui Fixed in Version => 0.83/0.84
2010-09-29 12:48 hoijui Resolution open => fixed
2010-09-29 12:48 hoijui Assigned To => hoijui
+Issue History